Name: installer
Version: 0.7
Release: alt26.M41.1

Summary: Installer common files
License: GPL
Group: System/Configuration/Other

Packager: Stanislav Ievlev <inger@altlinux.org>

Source: %name-%version.tar

BuildRequires: alterator rpm-devel glibc-devel-static

Requires: alterator-wizardface
Conflicts: alterator-menu < 0.3-alt4

%description
Installer common files

%package stage2
Summary: Installer stage2
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: alterator-browser-qt
Requires: alterator-backend-x11 >= 0.20
Requires: xinit xinitrc xorg-x11-server xorg-x11-drv-video xrandr
Requires: eject curl
Requires: console-vt-tools
Requires: hal dbus
Conflicts: alterator-pkg < 1.2-alt1, alterator-sysconfig < 0.6-alt1

%description stage2
Installer stage2

%package stage3
Summary: Installer stage3
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release
#finish
Requires: alterator-notes
Requires: hal dbus

%description stage3
Installer stage3

%prep
%setup -q

%build
%make_build

%install
%makeinstall
%find_lang alterator-install2

%files -f alterator-install2.lang

%files stage2
%_bindir/*
%_sbindir/*
%_datadir/install2
%_datadir/alterator/ui/install2
%_datadir/alterator/help/*/*
%_alterator_backend2dir/deadline
%_alterator_backend3dir/*

%files stage3

%changelog
* Thu Sep 25 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7-alt26.M41.1
- port to M41 

* Wed Sep 24 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.7-alt27
- preinstall.d/10-xorg.sh: fix breackage of InputDevice section

* Fri Sep 19 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7-alt26
- fixed creating xorg.conf for nvidia 

* Fri Sep 19 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.7-alt25
- change fbdev and vesa fallbacks in install2

* Thu Sep 18 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7-alt24
- fixed remove-if-removable scripts with mike@ 

* Thu Sep 18 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.7-alt23
- add steps/sysconfig.desktop

* Thu Sep 18 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7-alt22
- fixed error from grep when CDROM installation 

* Fri Sep 12 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt21
- update step files translations

* Thu Sep 11 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7-alt20
- starting HAL after basesystem installation 

* Wed Sep 10 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.7-alt19
- starting hal before x11_autosetup

* Wed Sep 10 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.7-alt18
- use new x11_autosetup options for setting xdriver and xres

* Wed Sep 03 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7-alt17
- added sources.installer list when installing from removable devices 

* Tue Sep 02 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7-alt16
- really skip devices ;) 

* Fri Aug 29 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7-alt15
- fix bug in previous feature 

* Thu Aug 28 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7-alt14
- skip removable devices  from destination fstab

* Wed Aug 20 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7-alt13
- fixed excluding usb media 

* Fri Aug 15 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7-alt12
- changeble fonts in stage2 

* Thu Aug 14 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt11
- move icons to steps subdir

* Tue Jul 29 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.7-alt10
- move creation of xorg.conf from install2 to initinstall.d/30-xorg.sh
- fix problem with xdriver=auto

* Tue Jul 29 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.7-alt9
- add sleep 1 at the end of alterator-install2 (see #16450)

* Fri Jul 25 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.7-alt8
- add Requires: hal dbus to stage2

* Tue Jul 08 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.7-alt7
- modify preinstall.d/10-xorg.sh: create new xorg.conf for system,
  do not copy installer's xorg.conf

* Tue Jul 08 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.7-alt6
- kill console-kit-daemon too (by rider)

* Tue Jul 01 2008 Anton Farygin <rider@altlinux.ru> 0.7-alt5
- stop hal and dbus before alterator-wizard

* Mon Jun 30 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.7-alt4
- set 800x600 resolution for X

* Mon Jun 30 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.7-alt3
- fix scripts/install2, modify Requires

* Mon Jun 30 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.7-alt2
- fix scripts/install2

* Fri Jun 27 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.7-alt1
- remove initinstall.d/30-xorg.sh (configuration of xorg.conf)
- configure xorg.conf in scripts/install2 using x11_autosetup from new alterator-x11
- add preinstall.d/10-xorg.sh for copying xorg.conf to destination system

* Thu Jun 19 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.6-alt5
- modify for new alterator-x11 (require hal, dbus)

* Tue Jun 17 2008 Stanislav Ievlev <inger@altlinux.org> 0.6-alt4
- update documentation

* Sat Jun 07 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.6-alt3
- document:replace -> frame:replace

* Wed May 28 2008 Stanislav Ievlev <inger@altlinux.org> 0.6-alt2
- first run preinstall scripts from installed system

* Wed May 28 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.6-alt1
- drop unionfs usage by sbolshakov@ 

* Mon May 26 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt3
- remove rest of dependencies on alterator-autoinstall package

* Fri May 23 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt2
- move logfile copying to postinstall scripts
- improve splash support

* Thu May 22 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt1
- step files: use help files from modules
- remove autoinstall backend usage
- basesystem,preinstall: use colspan, remove inmplicit text attributes for labels, add help
- remove unused .scm files

* Wed May 14 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.4-alt17
- splash support
- exclude SCSI cdrom devices

* Wed Apr 30 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt16
- move preinstall.d to new alterator-net-eth
- update url of the installer-network step

* Thu Apr 24 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt15
- updated for new alterator-net-eth

* Wed Apr 16 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt14
- yet another merge (ldv@, sin@)
- fix reexec

* Mon Apr 14 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt13
- merge code improvements from @ldv and @sin
- move preinstall.d/pkg-groups to alterator-pkg

* Wed Apr 09 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt12
- add support for nonanonymous ftp servers (#14697)
- fix work with empty DNS_SERVER (#14966)

* Tue Apr 08 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt11
- @ldv: install2-init.c (killall): Do some sleep after sending SIGKILL

* Mon Apr 07 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt10
- fix install2-init abnormal exit (by ldv@, sin@)
- use control to switch portmap status

* Thu Mar 13 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt9
- use ALTERATOR_DATADIR

* Thu Mar 06 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.4-alt8
- added kernels sorting 
- run installkernel in normal mode (without DURING_INSTALL) 

* Mon Mar 03 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt7
- replace installer-finish with release-notes

* Fri Feb 29 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt6
- build to Sisyphus

* Thu Feb 28 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.4-alt5.1
- exclude a whole boot device

* Wed Feb 27 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt5
- fix typo

* Fri Feb 22 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt4
- kill before loop_change_fd

* Thu Feb 21 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt3
- move last loop_change_fd into init

* Tue Feb 19 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- ignore eject failure
- improve sources layout
- improve install2-init:
  sleep between sigterm and sigkill
  more messages during kill process
  fix typo in messages

* Tue Feb 12 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- fix /mnt/destination umount in multidisk installation

* Wed Jan 23 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt9
- fix help refs in users-root and users-add steps

* Tue Jan 22 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt8
- global DURING_INSTALL export

* Thu Jan 10 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt7
- update docs
- patch from boyarsh: added -f option to openvt to avoid 'vt is already in use' bug

* Fri Dec 07 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt6
- xorg tuning: add mouse_autosetup call (need to use serial mices)

* Mon Nov 12 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt5
- common find-free-partition utility
- common CDROMDEV variable
- new preinstall script: try to free cdrom device

* Mon Nov 12 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt4
- build system improvements (split C-sources and shell scripts)
- move main global variables to install2-sh-functions
- move unionfs code to common place
- add losetup-mv utility

* Tue Nov 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt3
- add missing requires to stage3
- add support for multiple xdriver= (to allow xdriver defaults tuning)

* Tue Oct 30 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt2
- fix firsttime script
- move openvt start to initinstall.d script

* Fri Oct 26 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- update documentation

* Wed Oct 24 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt5
- replace get-manifest with common cp-metadata utility
- add support for pkg-groups profile
- move old apt-profile.scm copying into preinstall script
- add initinstall.d feature (tuning before installator start)

* Thu Oct 18 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4
- fix icon names

* Mon Oct 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- backports from desktop branch
- turn off splash at the end of install

* Fri Oct 12 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- add default finish step (installer-finish)

* Fri Oct 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- new profile system

* Mon Sep 24 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- improve nfs support
- move finish step to distribution specific package

* Thu Sep 20 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- move language step and i18n preinstall hack into common sysconfig package

* Wed Sep 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- move license step into separate package

* Fri Sep 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- remove conflict between stages

* Tue Aug 28 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- rename to installer

* Thu Mar 08 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt7
- Rewrite Date/Time step.

* Wed Feb 21 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt6
- Fix network settings.

* Mon Feb 12 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt5
- UI optimazations.
- Change bootloader stage.
- Broke autoinstall.
- Remove net-tcp stage.

* Thu Feb 08 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt4
- Add 'ai' parameter.
- Fix package for new udev-105.
- Fix autoinstall.
- Fix cdrom method.

* Fri Jan 12 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt3
- Add autoinstall.
- Add ftp/http install methods.
- Avoid using libhw-tools.
- Use swap.
- UI optimizations.

* Wed Jan 10 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt2
- Marge install2 and install3 stages.
- Remove useless UI step.
- UI optimizations.

* Fri Nov 17 2006 Alexey Gladkov <legion@altlinux.ru> 0.0.1-alt4
- Initial revision.
